datablock AudioProfile(PDASound)
{
   filename    = "./pdabeep.wav";
   description = AudioClose3d;
   preload = true;
};

datablock ItemData(PDAItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./pdaspawn/PDAbrickspawn.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Prop PDA";
	doColorShift = false;

	 // Dynamic properties defined by the scripts
	image = PDAImage;
	canDrop = true;
};

datablock ShapeBaseImageData(PDAImage)
{
   // Basic Item properties
   shapeFile = "./PDA.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   className = "WeaponImage";
   item = PDAItem;

   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = "0.160 0.070 0 1.000";

   // Initial start up state
	stateName[0]                     = "Ready";
	stateTransitionOnTriggerDown[0]  = "Fire";
	stateAllowImageChange[0]         = true;

	stateName[1]                     = "Fire";
	stateTransitionOnTimeout[1]      = "Ready";
	stateAllowImageChange[1]         = true;
              stateScript[1]                   = "onFire";
              stateSound[2]			  = PDAsound;
	stateTimeoutValue[1]		   = 1;
};

package PDAPackage
{
	function Armor::onCollision(%this, %obj, %col, %a, %b, %c, %d, %e, %f)
	{
		if(%col.dataBlock $= "PDAItem" && %obj.getDamagePercent() < 100 && %col.canPickup)
		{
			if(!isObject(%col.spawnbrick) && !%col.nowPickup)	
			{
				if(isObject(%obj.client.minigame))
				{
					if(%obj.client.minigame $= %col.minigame)
					{
						if(%obj.getDamageLevel() >= 1)
						{
							%obj.setDamageLevel(0);
							%col.delete();
						}
						else
						{
							%col.nowPickup = 1;
						}
						return;
					}
				}
			}

			for(%i=0;%i<%this.maxTools;%i++)
			{
				%item = %obj.tool[%i];
				if(%item $= 0 || %item $= "")
				{
					%freeSlot = 1;
					break;
				}
			}

			if(%freeSlot)
			{
				%obj.pickup(%col);
				return;
			}
		}
		Parent::onCollision(%this, %obj, %col, %a, %b, %c, %d, %e, %f);
	}
};
activatePackage(PDAPackage);

function PDAImage::onMount(%this, %obj, %slot)
{	
	%obj.hidenode("RHand");
        %obj.hidenode("LHand");
}


function PDAImage::onUnMount(%this, %obj, %slot)
{	
	%obj.unhidenode("RHand");
        %obj.unhidenode("LHand");
}


function PDAImage::onFire(%this,%obj,%slot)
{
     
}